--  TODO: Update limits (order based on sorted accounts; number of entries must match SQL text).
local limits = {0,0,0};
local index = 1;
local base_total = 0;
local balance_total = 0;
local available_total = 0;

function handle_record(record)
    local credit = limits[index];
    local available = credit + record:get("Balance");
    record:set("Credit", credit);
    record:set("Available",  available);
    index = index + 1;
    base_total = base_total + record:get("BaseBal");
    balance_total = balance_total + record:get("Balance");
    available_total = available_total + available;
end

function complete(result)
    result:set("Base_Total", base_total);
    result:set("Balance_Total", balance_total);
    result:set("Available_Total", available_total);
end
