-- TODO: Update account names, also update Lua text. 
select a.ACCOUNTNAME
    , '' as Credit
    , '' as Available
    , total(transamount) + INITIALBAL as Balance
    , (INITIALBAL + total(transamount))*c.BASECONVRATE as BaseBal
from
    (select accountid, TRANSDATE, STATUS,
        (case when TRANSCODE='Deposit' then transamount else -transamount end) as transamount
    from checkingaccount_v1
    union all
    select toaccountid, TRANSDATE, STATUS, totransamount
    from checkingaccount_v1
    where transcode='Transfer') t
inner join accountlist_v1 a on a.accountid=t.accountid
inner join currencyformats_v1 c on a.currencyid=c.currencyid
where ACCOUNTNAME in ('Visa', 'Master Card', 'Discover Card')
    and t.STATUS<>'V'
group by a.ACCOUNTID
order by ACCOUNTNAME;